aboutsummaryrefslogtreecommitdiffstats
path: root/testing/imapsync/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2015-12-12 12:25:26 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-01-19 12:19:24 +0000
commit33736d97d6defd28c0434210c04b1267c20a300b (patch)
tree8c08422e56091933df1257266dd7f231465fd8b7 /testing/imapsync/APKBUILD
parentaa6babe5e51429b8909ad903474a865b3d09a094 (diff)
downloadaports-33736d97d6defd28c0434210c04b1267c20a300b.tar.gz
aports-33736d97d6defd28c0434210c04b1267c20a300b.tar.bz2
aports-33736d97d6defd28c0434210c04b1267c20a300b.tar.xz
testing/imapsync: new aport
Uses 260-280 meg of RAM with --useuid (caching) enabled & transfers approximately 2.2 messages / second. 4000 to 7000 users per month (44000 users a year). 6 to 40 million mailbox transfers per month. 215 million transfers for 2014. Highest use rate: about 56 million IMAP mailbox transfers by one host Take care not to mix main / edge perl modules or you will receive relocation errors from perl.
Diffstat (limited to 'testing/imapsync/APKBUILD')
-rw-r--r--testing/imapsync/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/testing/imapsync/APKBUILD b/testing/imapsync/APKBUILD
new file mode 100644
index 0000000000..34bbe5851d
--- /dev/null
+++ b/testing/imapsync/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=imapsync
+pkgver=1.670
+pkgrel=0
+pkgdesc="IMAP synchronisation, sync, copy or migration tool"
+url="http://imapsync.lamiral.info"
+arch="noarch"
+license="custom"
+depends="perl-digest-hmac perl-authen-ntlm perl-io-compress perl-data-dumper perl-data-uniqid perl-digest-md5 \
+ perl-file-copy-recursive perl-io-socket-inet6 perl-io-socket-ssl perl-io-tee perl-mail-imapclient \
+ perl-parse-recdescent perl-term-readkey perl-test-pod perl-test-simple perl-unicode-string perl-uri-escape"
+depends_dev=""
+makedepends="$depends_dev perl-module-scandeps perl-par-packer"
+subpackages="$pkgname-doc"
+source="https://github.com/$pkgname/$pkgname/archive/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgname-$pkgver
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+ install -Dm644 FAQ.d/* "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+}
+
+md5sums="1956d13e32534337fcea7aba6da0feb0 imapsync-1.670.tar.gz"
+sha256sums="0a02a60899850a2aa8b7642a1caebda951437e2eb530f32489b10e651e957a29 imapsync-1.670.tar.gz"
+sha512sums="1a51c707b168a04900cb19a9df1d185bde3a42cda74c12d863d19f84c806f1c161a0e240e51a3c9673a17b2010df22e55c0286108d6aaa8a3b0233a4d510311f imapsync-1.670.tar.gz"